<<<<<<< HEAD
QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

RC_ICONS = sp713.ico

SOURCES += \
    apps/crc16/crc.cpp \
    apps/icd/app_icd.cpp \
    drivers/log/logHandler.cpp \
    drivers/spi/drv_spi.cpp \
    drivers/uart/drv_uart.cpp \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    apps/crc16/crc.h \
    apps/icd/app_icd.h \
    drivers/log/logHandler.h \
    drivers/spi/drv_spi.h \
    drivers/uart/drv_uart.h \
    libs/CH347DLL.H \
    libs/Common.h \
    mainwindow.h

FORMS += \
    mainwindow.ui

#add libs
LIBS += -L$$PWD/libs -lCH347DLLA64
INCLUDEPATH += $$PWD/libs
win32:LIBS += $$PWD/libs/CH347DLLA64.LIB

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
=======
QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

RC_ICONS = sp713.ico

SOURCES += \
    apps/crc16/crc.cpp \
    apps/icd/app_icd.cpp \
    drivers/log/logHandler.cpp \
    drivers/spi/drv_spi.cpp \
    drivers/uart/drv_uart.cpp \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    apps/crc16/crc.h \
    apps/icd/app_icd.h \
    drivers/log/logHandler.h \
    drivers/spi/drv_spi.h \
    drivers/uart/drv_uart.h \
    libs/CH347DLL.H \
    libs/Common.h \
    libs/SpiApi.h \
    mainwindow.h

FORMS += \
    mainwindow.ui

#add libs
LIBS += -L$$PWD/libs -lCH347DLLA64
INCLUDEPATH += $$PWD/libs
win32:LIBS += $$PWD/libs/CH347DLLA64.LIB

LIBS += -L$$PWD/libs -lCH347Handler
INCLUDEPATH += $$PWD/libs
win32:LIBS += $$PWD/libs/CH347Handler.lib

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
>>>>>>> 799590bc1dd9b9faee90d554f54d6ad46e8b8ddd
